package model

import (
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
	"encoding/json"
)

type Host struct {
	Id         json.Number         `json:"id,Number,omitempty"`
	Ip int64						`json:"ip,omitempty"`
	Mac int64						`json:"mac,omitempty"`
	CreateDate timestamp.Timestamp	`json:"createDate,omitempty"`
	UpdateDate timestamp.Timestamp	`json:"updateDate,omitempty"`
	Os string						`json:"os,omitempty"`
	Target bool						`json:"target,omitempty"`
	Ports []*Port					`json:"ports,omitempty"`

}