package model

import (
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
	member "git.loafle.net/overflow/overflow_commons_go/modules/member/model"
	"encoding/json"
)

type EmailAuth struct {
	Id         json.Number         `json:"id,Number,omitempty"`
	EmailAuthKey	string				`json:"emailAuthKey,omitempty"`
	CreateDate timestamp.Timestamp		`json:"createDate,omitempty"`
	AuthConfirmDate timestamp.Timestamp	`json:"authConfirmDate,omitempty"`
	Member *member.Member						`json:"member,omitempty"`
}