package model

import (
	"encoding/json"
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
)

type MetaSensorDisplayItem struct {
	Id         json.Number         `json:"id,Number,omitempty"`
	Name string						`json:"name,omitempty"`
	Crawler *MetaCrawler			`json:"crawler,omitempty"`
	Unit *MetaSensorItemUnit		`json:"unit,omitempty"`
	CreateDate timestamp.Timestamp `json:"createDate,omitempty"`
	ItemType *MetaSensorItemType	`json:"itemType,omitempty"`
}