package model

import (
	"encoding/json"
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
)

type MetaSensorItem struct {
	Id                 json.Number         `json:"id,Number,omitempty"`
	MetaSensorItemType *MetaSensorItemType  `json:"metaSensorItemType,omitempty"`
	Key                string              `json:"key,omitempty"`
	Name               string              `json:"name,omitempty"`
	CreateDate         timestamp.Timestamp `json:"createDate,omitempty"`
}