package model

import (
	"encoding/json"

	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
)

type MetaSensorItemKey struct {
	Id         json.Number         `json:"id,Number,omitempty"`
	Item *MetaSensorItem				`json:"item,omitempty"`
	Key string						`json:"key,omitempty"`
	Froms string					`json:"froms,omitempty"`
	Option string					`json:"option,omitempty"`
	Crawler *MetaCrawler				`json:"crawler,omitempty"`
	CreateDate  timestamp.Timestamp `json:"createDate,omitempty"`
	Unit *MetaSensorItemUnit		`json:"unit,omitempty"`
}