package model

import (
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
	domain "git.loafle.net/overflow/overflow_commons_go/modules/domain/model"
	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	"encoding/json"
	probe "git.loafle.net/overflow/overflow_commons_go/modules/probe/model"
)

type NoAuthProbe struct {
	Id         json.Number         `json:"id,Number,omitempty"`
	Description string				`json:"description,omitempty"`
	Status *meta.MetaNoAuthProbeStatus	`json:"status,omitempty"`
	TempProbeKey string				`json:"tempProbeKey,omitempty"`
	CreateDate timestamp.Timestamp	`json:"createDate,omitempty"`
	ApiKey string					`json:"apiKey,omitempty"`
	Domain *domain.DomainMember		`json:"domain,omitempty"`
	Probe *probe.Probe					`json:"probe,omitempty"`
}