package model

import (
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
	"encoding/json"
	"git.loafle.net/overflow/overflow_service/proxy/member"
)

type Notification struct {
	Id         json.Number         `json:"id,Number,omitempty"`
	CreateDate timestamp.Timestamp `json:"date,omitempty"`
	Title string					`json:"title,omitempty"`
	Message string					`json:"message,omitempty"`
	Member *member.Member			`json:"member,omitempty"`
	ConfirmDate timestamp.Timestamp	`json:"confirmDate,omitempty"`
	Url string						`json:"url,omitempty"`
}