package model

import (
	"encoding/json"
	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
)

type ProbeTask struct {
	Id                json.Number             `json:"id,Number,omitempty"`
	MetaProbeTaskType *meta.MetaProbeTaskType `json:"metaProbeTaskType,omitempty"`
	Probe             *Probe                  `json:"probe,omitempty"`
	Data              string                  `json:"data,omitempty"`
	CreateDate        timestamp.Timestamp     `json:"createDate,omitempty"`
	SendDate          timestamp.Timestamp     `json:"sendDate,omitempty"`
	StartDate         timestamp.Timestamp     `json:"startDate,omitempty"`
	EndDate           timestamp.Timestamp     `json:"endDate,omitempty"`
	Succeed           bool                    `json:"succeed,omitempty"`
}
