package model

import (
	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	"git.loafle.net/overflow/overflow_service/proxy/target"
	"encoding/json"
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
)

type Sensor struct {
	Id                json.Number            `json:"id,Number,omitempty"`
	CreateDate        timestamp.Timestamp    `json:"createDate,omitempty"`
	Description       string                 `json:"description,omitempty"`
	MetaSensorStatus  *meta.MetaSensorStatus `json:"status,omitempty"`
	Target            *target.Target         `json:"target,omitempty"`
	Crawler           *meta.MetaCrawler      `json:"crawler,omitempty"`
	CrawlerInputItems string                 `json:"crawlerInputItems,omitempty"`
}