package model

import (
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
	"encoding/json"
	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	target "git.loafle.net/overflow/overflow_commons_go/modules/target/model"
)

type AuthCrawler struct {
	Id         json.Number         `json:"id,Number,omitempty"`
	Crawler *meta.MetaCrawler	`json:"crawler,omitempty"`
	Target *target.Target			`json:"target,omitempty"`
	AuthJson string			`json:"authJson,omitempty"`
	CreateDate timestamp.Timestamp	`json:"createDate,omitempty"`
}