package model

import (
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
	"encoding/json"
)

type Port struct {
	Id         json.Number         `json:"id,Number,omitempty"`
	Host *Host						`json:"host,omitempty"`
	PortType string					`json:"portType,omitempty"`
	PortNumber json.Number  					`json:"portNumber,omitempty"`
	Services []Service				`json:"services,omitempty"`
	CreateDate timestamp.Timestamp	`json:"createDate,omitempty"`
	UpdateDate timestamp.Timestamp	`json:"updateDate,omitempty"`
}