package net

import "git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"

type DiscoveryHost struct {
	Zone *DiscoveryZone `json:"-"`
	ID   int            `json:"id,omitempty"`
	IP   string         `json:"ip"`
	Mac  string         `json:"mac"`

	Os     string `json:"os,omitempty"`
	Target bool   `json:"target,omitempty"`

	CreateDate timestamp.Timestamp `json:"createDate,omitempty"`
	UpdateDate timestamp.Timestamp `json:"updateDate,omitempty"`
}
