package model

import (
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
	"encoding/json"
	member "git.loafle.net/overflow/overflow_commons_go/modules/member/model"
)

type DomainMember struct {
	Id         json.Number         `json:"id,Number,omitempty"`
	CreateDate timestamp.Timestamp	`json:"createDate,omitempty"`
	Member *member.Member					`json:"member,omitempty"`
	Domain *Domain					`json:"domain,omitempty"`
}