package model

import (
	"encoding/json"
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	probe "git.loafle.net/overflow/overflow_commons_go/modules/probe/model"
	member "git.loafle.net/overflow/overflow_commons_go/modules/member/model"
	domain "git.loafle.net/overflow/overflow_commons_go/modules/domain/model"
)

type History struct {
	Id             json.Number          `json:"id,Number,omitempty"`
	CreateDate  timestamp.Timestamp `json:"createDate,omitempty"`
	Types *meta.MetaHistoryType		`json:"type,omitempty"`
	Message string					`json:"message,omitempty"`
	Probe *probe.Probe				`json:"probe,omitempty"`
	Member *member.Member			`json:"member,omitempty"`
	Domain *domain.Domain			`json:"domain,omitempty"`
}