package model

import (
	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	"encoding/json"
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
	probe "git.loafle.net/overflow/overflow_commons_go/modules/probe/model"
	target "git.loafle.net/overflow/overflow_commons_go/modules/target/model"
)


type Infra struct {
	Id            json.Number         `json:"id,Number,omitempty"`
	MetaInfraType *meta.MetaInfraType  `json:"type,omitempty"`
	CreateDate    timestamp.Timestamp `json:"createDate,omitempty"`
	Probe *probe.Probe					`json:"probe,omitempty"`
	Target *target.Target				`json:"target,omitempty"`
}