package model

import (
	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
)

type InfraOS struct {
	Infra
	InfraMachine    *InfraMachine         `json:"machine,omitempty"`
	Meta            string               `json:"meta,omitempty"`
	CreateDate      timestamp.Timestamp  `json:"createDate,omitempty"`
	MetaInfraVendor *meta.MetaInfraVendor `json:"vendor,omitempty"`
}