package model

import (
	"git.loafle.net/overflow/overflow_service/proxy/meta"
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
	"encoding/json"
)

type InfraOSPort struct {
	Infra
	InfraOS         *InfraOS              `json:"os,omitempty"`
	CreateDate      timestamp.Timestamp  `json:"createDate,omitempty"`
	Port            json.Number          `json:"port,omitempty"`
	PortType        string               `json:"portType,omitempty"`
	MetaInfraVendor *meta.MetaInfraVendor `json:"vendor,omitempty"`
	TlsType         bool                 `json:"tlsType,omitempty"`
}
