package model

import (
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	"encoding/json"
)

type Member struct {
	Id         json.Number         `json:"id,Number,omitempty"`
	Email string					`json:"email,omitempty"`
	Pw string						`json:"pw,omitempty"`
	Name string						`json:"name,omitempty"`
	Phone string					`json:"phone,omitempty"`
	CompanyName string				`json:"companyName,omitempty"`
	CreateDate timestamp.Timestamp	`json:"createDate,omitempty"`
	Status *meta.MetaMemberStatus	`json:"status,omitempty"`
}