package model

import (
	meta "git.loafle.net/overflow/overflow_commons_go/modules/meta/model"
	"encoding/json"
	"git.loafle.net/overflow/overflow_commons_go/modules/timestamp/model"
)

type SensorItem struct {
	Id             json.Number          `json:"id,Number,omitempty"`
	Sensor         *Sensor              `json:"sensor,omitempty"`
	MetaSensorItem *meta.MetaSensorItem `json:"item,omitempty"`
	CreateDate     timestamp.Timestamp  `json:"createDate,omitempty"`
}